Name:           python-magneticalc
Version:        1.15.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        MagnetiCalc calculates the magnetic flux density, vector potential, energy, self-inductance and magnetic dipole moment of arbitrary coils. Inside an OpenGL-accelerated GUI, the static magnetic flux density (B-field) or the magnetic vector potential (A-field) is displayed in interactive 3D, using multiple metrics for highlighting the field properties.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ISC
URL:            https://github.com/shredEngineer/MagnetiCalc
Source:         %{pypi_source magneticalc}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'magneticalc' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-magneticalc
Summary:        %{summary}

%description -n python3-magneticalc %_description


%prep
%autosetup -p1 -n magneticalc-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-magneticalc -f %{pyproject_files}


%changelog
%autochangelog